Bug 1211596 - local: Missing Requires: /usr/bin/createrepo_c
local: Missing Requires: /usr/bin/createrepo_c
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: dnf-plugins-extras (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Igor Gnatenko
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-04-14 08:09 EDT by Radek Holy
Modified: 2015-10-05 22:14 EDT (History)
7 users (show)

See Also:
Fixed In Version: dnf-plugins-extras-0.0.8-1.fc22
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-05-30 11:56:43 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Radek Holy 2015-04-14 08:09:15 EDT
The "local" plugin depends on createrepo_c but the package does not require it.

As a result, I got this traceback:

$dnf install mc
[...]
Installed:
  gpm-libs.x86_64 1.20.7-6.fc21            mc.x86_64 1:4.8.12-3.fc21           
  slang.x86_64 2.2.4-13.fc21              

Traceback (most recent call last):
  File "/usr/bin/dnf", line 36, in <module>
    main.user_main(sys.argv[1:], exit_code=True)
  File "/usr/lib/python2.7/site-packages/dnf/cli/main.py", line 185, in user_main
    errcode = main(args)
  File "/usr/lib/python2.7/site-packages/dnf/cli/main.py", line 84, in main
    return _main(base, args)
  File "/usr/lib/python2.7/site-packages/dnf/cli/main.py", line 141, in _main
    ret = resolving(cli, base)
  File "/usr/lib/python2.7/site-packages/dnf/cli/main.py", line 170, in resolving
    base.plugins.run_transaction()
  File "/usr/lib/python2.7/site-packages/dnf/plugin.py", line 82, in fn
    dnf.util.mapall(operator.methodcaller(method), self.plugins)
  File "/usr/lib/python2.7/site-packages/dnf/util.py", line 157, in mapall
    return list(map(fn, *seq))
  File "/usr/lib/python2.7/site-packages/dnf-plugins/local.py", line 152, in transaction
    stderr=subprocess.STDOUT)
  File "/usr/lib64/python2.7/subprocess.py", line 710, in __init__
    errread, errwrite)
  File "/usr/lib64/python2.7/subprocess.py", line 1327, in _execute_child
    raise child_exception
OSError: [Errno 2] No such file or directory
Comment 2 Fedora Update System 2015-05-22 13:26:35 EDT
dnf-plugins-extras-0.0.8-1.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/dnf-plugins-extras-0.0.8-1.fc22
Comment 3 Fedora Update System 2015-05-25 23:15:04 EDT
Package dnf-plugins-extras-0.0.8-1.fc22:
* should fix your issue,
* was pushed to the Fedora 22 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing dnf-plugins-extras-0.0.8-1.fc22'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-8740/dnf-plugins-extras-0.0.8-1.fc22
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2015-05-30 11:56:43 EDT
dnf-plugins-extras-0.0.8-1.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.